package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:msg:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Msg {

        //Internal Unique ID of Application Transaction
        private String inr = NULLSTR;

        //报文类型
        private String cortyp = NULLSTR;

        //报文名称
        private String msgtyp = NULLSTR;

        //发送方向
        private String dir = NULLSTR;

        //创建时�'
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credattim = NULLDATE;

        //报文ID
        private String msgid = NULLSTR;

        //发送方
        private String sender = NULLSTR;

        //接收方
        private String recver = NULLSTR;

        //Transaction, which Handles the Document
        private String trninr = NULLSTR;

        //应答时�'
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rtndattim = NULLDATE;

        //业务状态
        private String prcsts = NULLSTR;

        //业务拒绝信息
        private String rjctinf = NULLSTR;

        //处理日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date prcdat = NULLDATE;

        //处理码
        private String prccod = NULLSTR;

        //通信级标识号
        private String mesgid = NULLSTR;

        //SMHINR
        private String smhinr = NULLSTR;

        //原报文标识号
        private String orimsgid = NULLSTR;

        //OWNREF
        private String ownref = NULLSTR;

        //SPTINR
        private String sptinr = NULLSTR;

        //status
        private String sta = NULLSTR;

        //打印次数
        private  int prtcnt ;

        //BCHKEY INR
        private String bchkeyinr = NULLSTR;

        private List<String> msgtypList;

        //原报文 确认标志
        private String attsta;

        //报文发起人
        private String sndcor;

        //他行业务编号
        private String sndkey;

        //资金发布到期日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date valdat;

        //关键数据标志
        private String chksta;

        //原报文存储路径
        private String orgnlpath;

        ////原报报文类型--723报文专用,来报内容--303报文专用
        private String f21;
}