package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:ntf:NTF - Notify Entries
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ntf {

        //Internal Unique ID of Notify Entry
        private String inr = NULLSTR;

        //User Optional Field, when SSNINR Specified
        private String usr = NULLSTR;

        //Session ID to Address Sessions Optional Field
        private String ssninr = NULLSTR;

        //Type of Notify Entry
        private String typ = NULLSTR;

        //Timestamp of Issuance
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim = NULLDATE;

        //Timestamp of Expiry
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date expdattim = NULLDATE;

        //Text of Entry
        private String txt = NULLSTR;

        //Timestamp when Processed
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date shwdattim = NULLDATE;

        //Session ID where Processed
        private String shwssninr = NULLSTR;

        //Processing Mode
        private String shwflg = NULLSTR;

        //Creating User ID
        private String iniusr = NULLSTR;

        //Creating Session ID
        private String inissninr = NULLSTR;
}