package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:slg:SLG - System Modification Log
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Slg {

        //Internal Unique ID of Log Entry
        private String inr = NULLSTR;

        //Table ID of Record to be Logged
        private String logtyp = NULLSTR;

        //INR of Record to be Logged
        private String loginr = NULLSTR;

        //Function
        private String fct = NULLSTR;

        //Timestamp of Modification
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dattim = NULLDATE;

        //User ID
        private String usr = NULLSTR;

        //Version Counter of Record
        private String ver = NULLSTR;
}