package com.brilliance.isc.bo.domlc;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.model.Dedgrp;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.trnmod.bo.SwiaddBo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DetamepBo extends AbstractCommonVo {

    private  String pansta = NULLSTR;

    private  String nartxt = NULLSTR;
    //Request of Amendment send to
    private  String ramrol = NULLSTR;
    //Label for RAMROL
    private  String ramrollab = NULLSTR;
    //Amendment Accepted by Beneficiary
    private  String benaccflg = NULLSTR;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date amedat;
    //Number of Amendment
    private  int amenbr;
    //Narrative :79:
    private  String ametxt = NULLSTR;
    //New Maximum Amount)
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal maxamt = Decimals.ZERO_SCALE3;
    //Currency of Maximum Amountprivate
    String maxcur = NULLSTR;
    //change of engagement:
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal engamt = Decimals.ZERO_SCALE3;
    //Engagement Currencyprivate
    String engcur = NULLSTR;
    //Default of Narrative
    private  String nartxtdef = NULLSTR;
    //槧物运装运地/服务提供低
    private  String hwzydi = NULLSTR;
    //最迟装运/服务提供日
    private  String zchday = NULLSTR;
    //新最迟日期
    private  String newday = NULLSTR;
    //槧物/服务槸易易描述
    private  String hfmdes = NULLSTR;

    private Dedgrp dedgrp;

    private Dedgrp olddedgrp;

    private Dedgrp amegrp;

//    private Dedget recget;

    private SwiaddBo swiadd;

    // ditame中的条款修改勾选按钮
    private String hwmsupdate = NULLSTR;
    private String djyqupdate = NULLSTR;
    private String fjtkupdate = NULLSTR;
    private String zsupdate = NULLSTR;
}
