package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.sql.Date;
import java.util.List;


@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfgidQueryConditionBo extends BaseEntity {
    private String bchinr;
    //查询条件
    /**
     * Own Reference
     */
    private String seaownref;
    /**
     * 开立起始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom;
//    private String opndatfrom;
    /**
     * 开立截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto;
//    private String opndatto;

    /**
     * 业务简略信息 Name
     */
    private String nam;
    /**
     * select Single Party
     */
    private String ptyExtkey;
    /**
     * Party Name/BIC
     */
    private String seapty;
    /**
     * Party Name
     */
    private String ptyNam;
    /**
     * Release Status
     */
    private String relflg;
    /**
     * 处理类型
     */
    private String hndtyp;
    /**
     * Role
     */
    private String searol;
    /**
     * 业务状态 Status
     */
    private String seasta;
    /**
     * 币种 Currency
     */
    private String seacur;
    /**
     * 金额区间下限
     */
    private String seaamtfr;
    /**
     * 金额区间上限
     */
    private String seaamtto;
    /**
     * Purpose of Mess.
     */
    private String seapurpos;
    /**
     * 保函文本类型
     */
    private String seagtyp;
    /**
     * 电子渠道类型
     */
    private String fromflg;
    /**
     * 分离式保函
     */
    private String fenlishi;
    /**
     * Party Reference
     */
    private String searef;
    /**
     * 跨境人民币申报
     */
    private String cmtflg;
    /**
     * 融资性对外保函
     */
    private String fingua;
    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 被保证人名称
     */
    private String grtnam;

    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
}
