package com.brilliance.isc.common.trnlog;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LogUserVo {

    /**
     * 申报类型
     */
    private String objnam;

    /**
     * 操作类型
     */
    private String objtyp;

    /**
     * 申报号码
     */
    private String rptno;

    /**
     * 员工号
     */
    private String oprusr;

    /**
     * 机构号
     */
    private String oprbch;

    /**
     * 起始日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date frmdat  = NULLDATE;

    /**
     * 截止日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date tildat = NULLDATE;

    public LogUserVo() {
    }

    public LogUserVo(String objnam, String objtyp, String rptno, String oprusr, String oprbch, Date frmdat, Date tildat) {
        this.objnam = objnam;
        this.objtyp = objtyp;
        this.rptno = rptno;
        this.oprusr = oprusr;
        this.oprbch = oprbch;
        this.frmdat = frmdat;
        this.tildat = tildat;
    }
}
