package com.brilliance.isc.transfer.transaction;

import com.brilliance.mda.runtime.mda.util.Systems;
import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.lg.GitpdlStoreBo;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.vo.lg.GitpdlStoreVo;
import com.brilliance.isc.vo.model.CbbVo;
import com.brilliance.isc.vo.model.Giacbs;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;


/**
 * Gitame Bo、Vo之间的转换处理类。如果有很复杂的函数，则可以用适配器模式重写
 */
@Mapper(componentModel = "spring",uses = {
        IGctMapper.class, IGitMapper.class,
        INitMapper.class, INctMapper.class, IOtherModMapper.class}
        )
public interface GitpdlStructMapper extends IBaseStructMapper<GitpdlStoreBo, GitpdlStoreVo> {

    /**
     * 此行语句一定要写，StructMapper需要
     */
    GitpdlStructMapper INSTANCE = Mappers.getMapper(GitpdlStructMapper.class);

    /**
     * Vo转为Bo
     *
     * @param vo
     * @return 返回业务Bo
     */
    @Override
    GitpdlStoreBo voTransferToBo(GitpdlStoreVo vo);

    /**
     * Vo追加更新至Bo
     * 忽略oldgrp的复制
     * @param vo
     * @param bo
     */
    @Override
    @Mappings({
            @Mapping(target = "oldgidgrp",ignore = true),
            @Mapping(target = "gidgrp",ignore = true)
    })
    void voUpdateToBo(GitpdlStoreVo vo, @MappingTarget GitpdlStoreBo bo);

    /**
     * Bo转为Vo
     *
     * @param bo
     * @return 返回Vo
     */
    @Override
    GitpdlStoreVo boTransferToVo(GitpdlStoreBo bo);

    /**
     * bo追加更新至Bo
     *
     * @param bo
     * @param vo
     */
    @Override
    void boUpdateToVo(GitpdlStoreBo bo, @MappingTarget GitpdlStoreVo vo);
}
