package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @program: isc-core
 * @ClassName: FxdBizInfoVo
 * @description: fxd业务数据
 * @author: huangshunlin
 * @create: 2024-10-09 17:40
 */
@Data
public class FxdBizInfoVo extends BizInfoVo {
    //结售汇类型  fxdgrp.rec.fxtyp
    private String fxtyp = NULLSTR;

    /**
     * fxdgrp.rec.dsp  结售汇业务的外币的记账账号类型
     * LO客户往来账户以及SP国际结算过渡账户2个选项
     */
    private String dsp = NULLSTR;

    // 结售汇业务的外币的记账账号 fxdgrp.rec.acc
    private String acc = NULLSTR;

    //fxdgrp.rec.dsp2
    private String dsp2 = NULLSTR;

    //结售汇业务的本币的记账账号 fxdgrp.rec.acc2
    private String acc2 = NULLSTR;

    //Rate
    private BigDecimal rat = Decimals.ZERO_SCALE6;
    //交易主体
    private String trnman = NULLSTR;

    //TRADE IN
    private String trdint = NULLSTR;

    //TRADE OUT
    private String trdout = NULLSTR;

    private String swtflg = NULLSTR;

    private String cancur = NULLSTR;
    private BigDecimal canamt = BigDecimal.ZERO;

    //fxdgrp.rec.setdat
    private Date setdat = NULLDATE;

}
