package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties
public class TbzVo extends AbstractCommonVo {

    /**
     * 内部唯一流水号主键
     */
    private String inr = NULLSTR;

    /**
     * 版本号
     */
    private String ver = NULLSTR;

    /**
     * objtyp
     */
    private String objtyp = NULLSTR;

    /**
     * objinr
     */
    private String objinr = NULLSTR;

    /**
     * 人行报送状态
     */
    private String sta = NULLSTR;

    /**
     * 明细操作类型
     */
    private String listopertype = NULLSTR;

    /**
     * 明细主键
     */
    private  int seqno ;

    /**
     * 国际收支交易编码
     */
    private String balofpaycode = NULLSTR;

    /**
     * 付款金额
     */
    private BigDecimal receamt  = Decimals.ZERO_SCALE2;

    /**
     * 业务种类代码
     */
    private String bustypecode = NULLSTR;

    /**
     * 业务种类明细分类
     */
    private String bustypelist = NULLSTR;

    /**
     * 实际付款人代码
     */
    private String actualpayeecode = NULLSTR;

    /**
     * 实际付款人名称
     */
    private String actualpayeename = NULLSTR;

    /**
     * 是否预付款
     */
    private String ifprerece = NULLSTR;

    /**
     * 预付款比例
     */
    private  BigDecimal prepayeescale  = Decimals.ZERO_SCALE2;

    /**
     * 结期
     */
    private  int accountperiod ;

    /**
     * 物流状态
     */
    private String custstate = NULLSTR;

    /**
     * 政府部门核准证书编号
     */
    private String certificateno = NULLSTR;

    /**
     * 融资合同备案号
     */
    private String contractno = NULLSTR;

    /**
     * 交易附言
     */
    private String addword = NULLSTR;

    /**
     * 数据状态
     */
    private String csta = NULLSTR;
}
