package com.brilliance.isc.esb.model.dbsync;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * TABLE:adr:ADR - Address
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Adr {

    //Internal Unique ID
    private String inr;

    //External Key Used to Uniquely Identify an Address
    private String extkey;

    //Externally Displayed Name to Identify the Address
    private String nam;

    //BIC of Address Optional
    private String bic;

    //BIC/SWIFT Authenticator Exchanged
    private String bicaut;

    //Branch Identification Used in Option B of SWIFT Fieldtags
    private String bid;

    //DTA Guarantees ID
    private String dtgcid;

    //Bankleitzahl German Clearing Code
    private String blz;

    //Clearing Code for Banks
    private String clc;

    //Department
    private String dpt;

    //eMail/Internet
    private String eml;

    //Telefax 1
    private String fax1;

    //Telefax 2
    private String fax2;

    //Name 1/SWIFT Line 1
    private String nam1;

    //Name 2/SWIFT Line 2
    private String nam2;

    //Name 3
    private String nam3;

    //Street/SWIFT Line 3
    private String str1;

    //Optional Second Line of Street
    private String str2;

    //ZIP Code/First Part of SWIFT Line 4
    private String loczip;

    //Textpart of City/Second Part of SWIFT Line 4
    private String loctxt;

    //Optional Second Line of City
    private String loc2;

    //Country of Domicile
    private String loccty;

    //Primary Output Chanel of Messages SWT, LET, TLX, TCO
    private String cortyp;

    //Line with Postbox
    private String pob;

    //ZIP Code Used when Addressing Postbox
    private String pobzip;

    //Textpart of City Used when Addressing Postbox
    private String pobtxt;

    //Telephone 1
    private String tel1;

    //Telephone 2
    private String tel2;

    //TradeConnect ID
    private String tid;

    //Telex Number
    private String tlx;

    //Telex Authenticator Exchanged
    private String tlxaut;

    //Default Language Code
    private String uil;

    //Version
    private String ver;

    //Manually Modified
    private String manmod;

    //RTGS-Member
    private String rtgflg;

    //TARGET-Member
    private String tarflg;

    //DTA Import L/C ID
    private String dtacid;

    //DTA Export L/C ID
    private String dtecid;

    //Entity Group of Party
    private String etgextkey;

    //Chinese Address
    private String adr1;

    private String adr2;

    private String adr3;

    private String adr4;

    //国内地区码
    private String discod;

    //名称
    private String namelc;

    //地址
    private String adrelc;

    public void setInr(String inr) {
        this.inr = inr;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public void setNam(String nam) {
        if (nam != null && nam.length() > 40) {
            this.nam = nam.substring(0, 40);
        } else {

            this.nam = nam;
        }
    }

    public void setBic(String bic) {
        this.bic = bic;
    }

    public void setBicaut(String bicaut) {
        this.bicaut = bicaut;
    }

    public void setBid(String bid) {
        this.bid = bid;
    }

    public void setDtgcid(String dtgcid) {
        this.dtgcid = dtgcid;
    }

    public void setBlz(String blz) {
        this.blz = blz;
    }

    public void setClc(String clc) {
        this.clc = clc;
    }

    public void setDpt(String dpt) {
        this.dpt = dpt;
    }

    public void setEml(String eml) {
        this.eml = eml;
    }

    public void setFax1(String fax1) {
        this.fax1 = fax1;
    }

    public void setFax2(String fax2) {
        this.fax2 = fax2;
    }

    public void setNam1(String nam1) {
        if (nam1 != null && nam1.length() > 72) {
            this.nam1 = nam1.substring(0, 72);
        } else {
            this.nam1 = nam1;
        }
    }

    public void setNam2(String nam2) {
        if (nam2 != null && nam2.length() > 72) {
            this.nam2 = nam2.substring(0, 72);
        } else {
            this.nam2 = nam2;
        }
    }

    public void setNam3(String nam3) {
        if (nam3 != null && nam3.length() > 35) {
            this.nam3 = nam3.substring(0, 35);
        } else {
            this.nam3 = nam3;
        }
    }

    public void setStr1(String str1) {
        if (str1 != null && str1.length() > 35) {
            this.str1 = str1.substring(0, 35);
        } else {
            this.str1 = str1;
        }
    }

    public void setStr2(String str2) {
        if (str2 != null && str2.length() > 35) {
            this.str2 = str2.substring(0, 35);
        } else {
            this.str2 = str2;
        }
    }

    public void setLoczip(String loczip) {
        this.loczip = loczip;
    }

    public void setLoctxt(String loctxt) {
        if (loctxt != null && loctxt.length() > 38) {
            this.loctxt = loctxt.substring(0, 38);
        } else {
            this.loctxt = loctxt;
        }
    }

    public void setLoc2(String loc2) {
        this.loc2 = loc2;
    }

    public void setLoccty(String loccty) {
        this.loccty = loccty;
    }

    public void setCortyp(String cortyp) {
        this.cortyp = cortyp;
    }

    public void setPob(String pob) {
        this.pob = pob;
    }

    public void setPobzip(String pobzip) {
        this.pobzip = pobzip;
    }

    public void setPobtxt(String pobtxt) {
        this.pobtxt = pobtxt;
    }

    public void setTel1(String tel1) {
        this.tel1 = tel1;
    }

    public void setTel2(String tel2) {
        this.tel2 = tel2;
    }

    public void setTid(String tid) {
        this.tid = tid;
    }

    public void setTlx(String tlx) {
        this.tlx = tlx;
    }

    public void setTlxaut(String tlxaut) {
        this.tlxaut = tlxaut;
    }

    public void setUil(String uil) {
        this.uil = uil;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public void setManmod(String manmod) {
        this.manmod = manmod;
    }

    public void setRtgflg(String rtgflg) {
        this.rtgflg = rtgflg;
    }

    public void setTarflg(String tarflg) {
        this.tarflg = tarflg;
    }

    public void setDtacid(String dtacid) {
        this.dtacid = dtacid;
    }

    public void setDtecid(String dtecid) {
        this.dtecid = dtecid;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }

    public void setAdr1(String adr1) {
        if (adr1 != null && adr1.length() > 40) {
            this.adr1 = adr1.substring(0, 40);
        } else {
            this.adr1 = adr1;
        }
    }

    public void setAdr2(String adr2) {
        if (adr2 != null && adr2.length() > 40) {
            this.adr2 = adr2.substring(0, 40);
        } else {
            this.adr2 = adr2;
        }
    }

    public void setAdr3(String adr3) {
        if (adr3 != null && adr3.length() > 40) {
            this.adr3 = adr3.substring(0, 40);
        } else {
            this.adr3 = adr3;
        }
    }

    public void setAdr4(String adr4) {
        if (adr4 != null && adr4.length() > 60) {
            this.adr4 = adr4.substring(0, 60);
        } else {
            this.adr4 = adr4;
        }
    }

    public void setDiscod(String discod) {
        this.discod = discod;
    }

    public void setNamelc(String namelc) {
        this.namelc = namelc;
    }

    public void setAdrelc(String adrelc) {
        this.adrelc = adrelc;
    }
}
