package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * 8486 根据业务编号查询一段时间内的直通式交易状态（小额查）对内响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8486 {

    public List<Item84861> lst84861 = new ArrayList<>();
    public List<Item84862> lst84862 = new ArrayList<>();


    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item84861 {
        /**
         * 业务编号 [0,16]
         */
        public String yewubh;

        /**
         * 报文类型 [0,10]
         */
        public String bwlxdh;

        /**
         * 报文序列号 [0,20]
         */
        public String msgsno;

        /**
         * 明细标识号 [0,16]
         */
        public String mxibsh;

        /**
         * 参与标志 [0,1]
         */
        public String canybz;

        /**
         * 交易日期 [0,8]
         */
        public String jioyrq;

        /**
         * 复核柜员流水号 [0,12]
         */
        public String fhgyls;

        /**
         * 入帐日期 [0,8]
         */
        public String ruzhrq;

        /**
         * 交换场次 [0,1]
         */
        public String jiohcc;

        /**
         * 变码印鉴 [0,12]
         */
        public String bmynjn;

        /**
         * 查询行号 [0,12]
         */
        public String chaxhh;

        /**
         * 大洲 [0,12]
         */
        public String dazhou;

        /**
         * 代理付款行行号 [0,12]
         */
        public String dlfkhh;

        /**
         * 冻结编号 [0,12]
         */
        public String dngjbh;

        /**
         * 对手债券帐户行 [0,12]
         */
        public String dzqzhh;

        /**
         * 信息 [0,60]
         */
        public String xinx01;

        /**
         * 信息 [0,60]
         */
        public String xinx02;

        /**
         * 报文发送日期 [0,8]
         */
        public String msgsdt;

        /**
         * 货币代号 [0,2]
         */
        public String huobdh;

        /**
         * 金额 [19,2]
         */
        public String zhifje;

        /**
         * 发起参与机构 [0,14]
         */
        public String fqcyjg;

        /**
         * 发起直接参与机构 [0,14]
         */
        public String fqzjjg;

        /**
         * 接收参与机构 [0,14]
         */
        public String jscyjg;

        /**
         * 接收直接参与机构 [0,14]
         */
        public String jszjjg;

        /**
         * 参数说明 [0,20]
         */
        public String canssm;

        /**
         * 业务类型 [0,5]
         */
        public String ywlxdm;

        /**
         * CMT [0,3]
         */
        public String cmtcod;

        /**
         * 客户担保编号 [0,12]
         */
        public String khdbbh;

        /**
         * 办公电话 [0,20]
         */
        public String bangdh;

        /**
         * 合同协议号 [0,60]
         */
        public String hetxyh;

        /**
         * 客户序号 [0,8]
         */
        public String kehuxh;

        /**
         * 付款人帐号 [0,32]
         */
        public String fukrzh;

        /**
         * 付款人名称 [0,120]
         */
        public String fkrmch;

        /**
         * 付款人地址 [0,140]
         */
        public String fkrdzh;

        /**
         * 付款清算行行号 [0,14]
         */
        public String fukqsh;

        /**
         * 付款行行号 [0,14]
         */
        public String fukhhh;

        /**
         * 付款人开户行行号 [0,35]
         */
        public String fkrkhh;

        /**
         * 付款人开户行名称 [0,140]
         */
        public String fukrhm;

        /**
         * 收款人帐号 [0,32]
         */
        public String shkrzh;

        /**
         * 收款人名称 [0,120]
         */
        public String skrmch;

        /**
         * 收款人地址 [0,140]
         */
        public String skrdzh;

        /**
         * 收款清算行行号 [0,14]
         */
        public String shkqsh;

        /**
         * 收款行行号 [0,14]
         */
        public String shkhhh;

        /**
         * 收款人开户行行号 [0,35]
         */
        public String skrkhh;

        /**
         * 收款人开户行名称 [0,140]
         */
        public String shkrhm;

        /**
         * 凭证种类 [0,3]
         */
        public String pngzzl;

        /**
         * 凭证日期 [0,8]
         */
        public String pngzrq;

        /**
         * 凭证序号 [0,8]
         */
        public String pngzxh;

        /**
         * 凭证号 [0,14]
         */
        public String pngzhh;

        /**
         * 附言1 [0,512]
         */
        public String fuynh1;

        /**
         * 相关业务编号 [0,16]
         */
        public String xnggbh;

        /**
         * 按揭项目编号 [0,16]
         */
        public String ajxmbh;

        /**
         * 业务拒绝信息 [0,210]
         */
        public String ywjjxx;
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item84862 {
        /**
         * 报文序列号 [0,20]
         */
        public String msgsno;

        /**
         * 报文类型 [0,10]
         */
        public String bwlxdh;

        /**
         * 参与标志 [0,1]
         */
        public String canybz;

        /**
         * 入帐日期 [0,8]
         */
        public String ruzhrq;

        /**
         * 交换场次 [0,1]
         */
        public String jiohcc;

        /**
         * 变码印鉴 [0,12]
         */
        public String bmynjn;

        /**
         * 查询行号 [0,12]
         */
        public String chaxhh;

        /**
         * 信息 [0,60]
         */
        public String xinx01;

        /**
         * 报文发送日期 [0,8]
         */
        public String msgsdt;

        /**
         * 发起参与机构 [0,14]
         */
        public String fqcyjg;

        /**
         * 发起直接参与机构 [0,14]
         */
        public String fqzjjg;

        /**
         * 接收参与机构 [0,14]
         */
        public String jscyjg;

        /**
         * 接收直接参与机构 [0,14]
         */
        public String jszjjg;

        /**
         * 来帐借记笔数 [0,10]
         */
        public String idrqnt;

        /**
         * 交易金额1 [19,2]
         */
        public String zfjee1;

        /**
         * 报文标识号 [0,35]
         */
        public String bawbsh;

    }

    /**
     * 报表路径 [0,80]
     */
    public String baoblj;

    public InnerRes8486() {
    }

    public InnerRes8486(List<Item84861> lst84861, List<Item84862> lst84862, String baoblj) {
        this.lst84861 = lst84861;
        this.lst84862 = lst84862;
        this.baoblj = baoblj;
    }
}
