package com.brilliance.isc.esb.model.whj.res.export;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Detail {

    public String safeAssetId;         //外管局融资申请编号
    public String assetState;         //资产状态
    public String bizState;         //业务处理状态
    public Apply apply;
    public Audit audit;
    public String contractAddress;          //合约地址
    public Pay pay;
    public Accept accept;
    public Rec rec;
    public String lockState;         //本次核验金额占用情况
    public String applyType;         //融资申请发起方
    public Boolean manifestQuotaOver;         //是否存在超额
    public String assetType;         //融资类型
    public Boolean manifestIsException;         //是否存在核验异常的关单
    public List<Attachment> attachment;
    public String systemDate;         //系统时间

    public Detail() {
    }

    public Detail(String safeAssetId, String assetState, String bizState, Apply apply, Audit audit, String contractAddress, Pay pay, Accept accept, Rec rec, String lockState, String applyType, Boolean manifestQuotaOver, String assetType, Boolean manifestIsException, List<Attachment> attachment, String systemDate) {
        this.safeAssetId = safeAssetId;
        this.assetState = assetState;
        this.bizState = bizState;
        this.apply = apply;
        this.audit = audit;
        this.contractAddress = contractAddress;
        this.pay = pay;
        this.accept = accept;
        this.rec = rec;
        this.lockState = lockState;
        this.applyType = applyType;
        this.manifestQuotaOver = manifestQuotaOver;
        this.assetType = assetType;
        this.manifestIsException = manifestIsException;
        this.attachment = attachment;
        this.systemDate = systemDate;
    }
}
