package com.brilliance.isc.esb.newmodel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class Head {
    /**
     * 组织机构
     */
    private String org;
    /**
     * 员工号或虚拟柜员号
     */
    private String id;
    /**
     * 前台流水
     */
    private String requestNo;
    /**
     * 后台流水号
     */
    private String responseNo;
    /**
     * 渠道号
     */
    private String channelNo;
    /**
     * 报文类型：正常报文（normal），错误报文（error)等
     */
    private String messageType;
    /**
     * 日期，采用yyyymmdd格式
     */
    private String date;
    /**
     * 时间，采用24小时hh:mm:ss.ms格式
     */
    private String time;
    /**
     * 领域标识，同HTTP报文头，多领域逗号分隔。
     */
    private String domain;
    /**
     * 根据指引版本发布，如DEV-IT-ITF-011-2022
     */
    private String version;
}
